### Method

# Vips Image scRGB2sRGB

#### Declaration [src]

    int
    vips_scRGB2sRGB (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Convert an scRGB image to sRGB. Set `depth` to 16 to get 16-bit output.

Optional arguments

- `depth`: `gint`, depth of output image in bits

See also

`vips_LabS2LabQ()`, `vips_sRGB2scRGB()`, `vips_rad2float()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.